---
title: telemetry
sidebarTitle: telemetry
---

# `fastmcp.client.telemetry`


Client-side telemetry helpers.

## Functions

### `client_span` <sup><a href="https://github.com/PrefectHQ/fastmcp/blob/main/src/fastmcp/client/telemetry.py#L13" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python
client_span(name: str, method: str, component_key: str, session_id: str | None = None, resource_uri: str | None = None, tool_name: str | None = None, prompt_name: str | None = None) -> Generator[Span, None, None]
```


Create a CLIENT span with standard MCP attributes.

Automatically records any exception on the span and sets error status.

